SNA

Resume session

Resume a session with database history injected.

POST
/agent/resume

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

session?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/resume" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "resumed",
  "provider": "string",
  "sessionId": "string",
  "historyCount": 0
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}